com.creamtec.ajaxswing.rendering

## Class AbstractDocument

- java.lang.Object
- - java.util.Observable
  - - com.creamtec.ajaxswing.rendering.AbstractDocument

- All Implemented Interfaces:
    Document
  Direct Known Subclasses:
    HTMLPage

      public abstract class AbstractDocument
      extends java.util.Observable
      implements Document

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `AbstractDocument()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `afterRender()` Callback function called after a document is rendered
    `void` | `beforeRender()` Callback function called before a document is rendered
    `ClientAgent` | `getClientAgent()` Returns the client agent, associated with this page.
    `java.lang.String` | `getDocsURL()` Returns the URL that specifies the location of the documents for the current application.
    `AbstractDocumentRenderer` | `getDocumentRenderer()`
    `abstract int` | `getNextComponentNameIndex(java.lang.Object obj)`
    `java.util.Map` | `getProps()` Properties map can be used to store a list of standard and user-defined properties
    `java.lang.String` | `getRedirectURL()` Returns the redirection URL
    `RenderContext` | `getRenderContext()` Returns the rendering context associated with this page
    `java.lang.String` | `getThemeDocsURL()` Returns the URL that specifies the location of the theme-specificdocuments for the current application.
    `java.lang.String` | `getThemeName()` Returns the name of the application HTML theme.
    `java.lang.String` | `getTitle()` Returns page title
    `boolean` | `isPartialUpdateAllowed()`
    `void` | `reset(boolean complete)`
    `void` | `setClientAgent(ClientAgent agent)` Used by AjaxSwing to associate an agent with the page.
    `void` | `setComponentDirty(java.awt.Component component, boolean dirty)`
    `void` | `setDocumentRenderer(AbstractDocumentRenderer documentRenderer)`
    `void` | `setPartialUpdateAllowed(boolean partialUpdateAllowed)`
    `void` | `setRedirectURL(java.lang.String url)` Sets the URL that AjaxSwing should redirect browser to
    `void` | `setTitle(java.lang.String title)` Sets page title

    - ### Methods inherited from class java.util.Observable

      `addObserver, countObservers, deleteObserver, deleteObservers, hasChanged, notifyObservers, notifyObservers`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### AbstractDocument

          public AbstractDocument()

  - ### Method Detail

    - #### reset

          public void reset(boolean complete)

    - #### setClientAgent

          public void setClientAgent(ClientAgent agent)

      Used by AjaxSwing to associate an agent with the page. Generally should not be called by renderers

    - #### getRenderContext

          public RenderContext getRenderContext()

      Returns the rendering context associated with this page

    - #### getProps

          public java.util.Map getProps()

      Properties map can be used to store a list of standard and user-defined properties

    - #### getThemeName

          public java.lang.String getThemeName()

      Returns the name of the application HTML theme. Can be set in application properties using html.theme property.
      Returns:
        theme name

    - #### getTitle

          public java.lang.String getTitle()

      Returns page title
      Returns:
        title

    - #### setTitle

          public void setTitle(java.lang.String title)

      Sets page title
      Parameters:
        `title` - title

    - #### getClientAgent

          public ClientAgent getClientAgent()

      Returns the client agent, associated with this page. This is the preferred way of obtaining a reference to the client age for a given page

    - #### beforeRender

          public void beforeRender()

      Description copied from interface: `Document`
      Callback function called before a document is rendered
      Specified by:
        `beforeRender` in interface `Document`

    - #### afterRender

          public void afterRender()

      Description copied from interface: `Document`
      Callback function called after a document is rendered
      Specified by:
        `afterRender` in interface `Document`

    - #### setPartialUpdateAllowed

          public void setPartialUpdateAllowed(boolean partialUpdateAllowed)

    - #### isPartialUpdateAllowed

          public boolean isPartialUpdateAllowed()

    - #### setRedirectURL

          public void setRedirectURL(java.lang.String url)

      Sets the URL that AjaxSwing should redirect browser to
      Parameters:
        `url` - URL

    - #### getRedirectURL

          public java.lang.String getRedirectURL()

      Returns the redirection URL
      Returns:
        String

    - #### getDocsURL

          public java.lang.String getDocsURL()

      Returns the URL that specifies the location of the documents for the current application. The documents URL starts with "http:" and normally ends with AjaxSwing web application context folder on the web server, for instance "http://localhost:8040/ajaxswing". This value can be set in application properties file using "html.docsURL" property
      Returns:
        the URL used to access HTML documents such as scripts and images

    - #### getThemeDocsURL

          public java.lang.String getThemeDocsURL()

      Returns the URL that specifies the location of the theme-specificdocuments for the current application. The documents URL starts with "http:" and normally ends with AjaxSwing theme documents folder on the web server, for instance "http://localhost:8040/ajaxswing/Windows_docs". This value is derived from getDocsURL()
      Returns:
        the URL used to access theme documents such as scripts and images

    - #### getNextComponentNameIndex

          public abstract int getNextComponentNameIndex(java.lang.Object obj)

    - #### getDocumentRenderer

          public AbstractDocumentRenderer getDocumentRenderer()

    - #### setDocumentRenderer

          public void setDocumentRenderer(AbstractDocumentRenderer documentRenderer)

    - #### setComponentDirty

          public void setComponentDirty(java.awt.Component component,
                               boolean dirty)

Copyright © 2000-2012 CreamTec LLC. All Rights Reserved.